@import "libs/shared/assets/src/global-style/variable";
.search-container {
    background: $bg-modal-header-title;
    padding: 22px 30px 22px 30px;
    border-radius: 8px;
    margin-bottom: 20px;
    &__row {
        display: flex;
        align-items: flex-end;
        &--col {
            padding-left: 8px;
        }

        &--col-button {
            padding-left: 8px;
        }
    }

    ::ng-deep {
        .input__label {
            color: $bg-gray-body !important;
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 20px;
        }
        .ant-select-selector {
            border-radius: 10px !important;
            height: 40px !important;
            display: flex;
            align-items: center;
        }
        .ant-input {
            border-radius: 10px !important;
            height: 40px !important;
        }
        .ant-select-item,
        .ant-select-item-empty {
            display: block;
            min-height: 32px;
            padding: 5px 12px;
            font-size: 14px;
            line-height: 22px;
            position: relative;
            font-weight: 400;
        }
    }
}

.table-container {
    margin-top: 24px;
    &__table {
        overflow-x: auto;
    }
    &__col-text-ellipsis {
        white-space: nowrap;
        overflow: hidden !important;
        text-overflow: ellipsis;
        min-width: 428px;
    }
    .header {
        min-width: 105px;
    }
}
.position-relative {
    position: relative;
}
.icon-style {
    border-radius: 50%;
    position: absolute;
    right: 1rem;
    top: 2.6rem;
    color: $bg-content-default;
    font-size: 12px;
    background: $bg-gray-rgb;
    cursor: pointer;
}
.container-button {
    display: flex;
    justify-content: center;
    margin-top: 25px;
    &__search {
        width: 175px;
        height: 47px;
    }
}
.button-search {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 174px;
    height: 40px;
    background: $bg-gray-new;
    border-radius: 8px;
    border: none;
    color: $bg-primary-default;
}

.error {
    display: flex;
    align-items: center;
    column-gap: 5px;
    color: $bg-error-red;
    font-size: 12px;
    font-family: avertaL, sans-serif;
    margin-top: 10px;
}

.active-color {
    background: $bg-primary-default;
    color: $bg-content;
}
.inactive-color {
    background: $bg-gray-new;
}
.text-ellipsis {
    display: block;
    white-space: nowrap;
    overflow: hidden !important;
    text-overflow: ellipsis;
    max-width: 150px;
}
.mt-20 {
    margin-top: 20px;
}
.icon-delete-unit {
    border-radius: 50%;
    position: absolute;
    right: 0.8rem;
    top: 2.6rem;
    color: $bg-content;
    font-size: 12px;
    background: $bg-gray;
  }
